Bug 541231 - RFE: Provide a "developer" mode server/agent
RFE: Provide a "developer" mode server/agent
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: FutureFeature, Improvement, SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-11-25 05:06 EST by Heiko W. Rupp
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-11-25 05:06:24 EST
Many settings in the server and agent are targeted at production runs. For example scan intervals are long or for plugin redeployments, the version overrides the timestamp.

When developing on RHQ (e.g. writing a new plugin) it would be nice if settings would be more developer friendly:

- scan intervals are much shorter
- for plugin deployment only timestamp is relevant
- agent could periodically run "plugins update"
- debug logging is automatically enabled
- web app reloading is on by default

I think this could/should be enabled by a "-Drhq.devel.mode switch to the startup of server and agent.
The UI should print a warning line at the top (or have the menu bar rendered in red or such) to show that this is for development only
Comment 1 wes hayutin 2010-02-16 11:53:59 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:59:17 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Joseph Marques 2010-09-30 13:42:13 EDT
- scan intervals are much shorter

agreed.

- for plugin deployment only timestamp is relevant

i wouldn't want to change the algorithm for calculating whether we have a new plugin - if we can't use the algorithm that's leveraged in customer environments, then something is severely flawed.  are these particular bugs you see in the product today heiko?

- agent could periodically run "plugins update"

agreed, auto-sync of the newest plugins would be nice.  perhaps this could be accomplished by a server-side plugin.

- debug logging is automatically enabled

for which categories?  enabling debugging for everything would be a debug log storm.  and the log4j file on the server is automatically reloading, so there wouldn't be much gained there.  i suppose it could be argued that running the agent in debug mode would be a win.

- web app reloading is on by default

isn't it already in a dev build (-Pdev)?

Note You need to log in before you can comment on or make changes to this bug.